Subject: IDE Partition check overwrites vectors

From: Jim Potter <[email-masked]>
Date: Fri, 06 Jun 2003 10:05:17 -0700

I'm implementing the IDE driver on my embedded system, and I've got a
strange problem -- when it performs the Partition check, it overwrites
the vector area (when in read_cache_page()).  Obviously, some caching
variable hasn't been setup, so it's writing to addr zero;  I'm not a mm
person, anyone have any suggestions on this?  Many thanks.

The system is Linux version 2.4.21-rc6, pulled from linuxppc_2_4_devel
several days ago, with a custom platform entry adapted from ev64260.c.

--
Sincerely,

Jim Potter
45th Parallel Processing, Inc.

  Volunteer Firefighting: Bustin' ours, Savin' yours.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/